#include <bits/stdc++.h>
using namespace std;

int n,x,y,R,V,K;

int kolona[100006],vrsta[100006];

//int provera (int dva[100006], int X){
//
//    int D=0;
//
//    for (int i=X;i<=n;i++){
//
//        if (dva[i]>1){
//            return D;
//        }
//
//        else {
//            D++;
//        }
//    }
//
//
//
//}
//



int najbliza (int niz[100006], int x){
    int d=2e9;
    int r=0;
    int br=0;
    for (int i=1;i<=n;i++){
        if (niz[i]>1 and d>abs(niz[i]-x)){
            r=niz[i];
            d=abs(niz[i]-x);
        }

    }
//    niz[r]--;
    br=abs(r-x);

  //  br+=provera(niz,r);
//    cout<<"r "<<r<<" "<<endl;
//
//    cout<<"d "<<d<<" "<<endl;
//
//    cout<<"br "<<br<<" "<<endl;

return br;
}




int main () {
    cin>>n;



    for (int i=1;i<=n;i++){
        cin>>x>>y;
        vrsta[x]++;
        kolona[y]++;

    }

    for (int i=1;i<=n;i++){
        if (vrsta[i]==0 or kolona[i]==0){

                V=najbliza(vrsta,vrsta[i]);

                K=najbliza(kolona,kolona[i]);


            R+= min( V , K );


            ///R+=najbliza(vrsta,vrsta[i])+najbliza(kolona,kolona[i]);



//            cout<<endl;
//            cout<<"vrsta[i] "<<vrsta[i]<<" "<<endl;
//            cout<<"V "<<V<<" "<<endl;
//

//            cout<<endl;
//            cout<<"kolona[i] "<<kolona[i]<<" "<<endl;
//            cout<<"k "<<K<<" "<<endl;
//


        }
    }
        cout<<R<<endl;

return 0 ;
}




//9
//4 4
//4 5
//4 6
//5 6
//6 6
//5 4
//5 5
//6 4
//6 5